package io;

import io.core.protocol.LeavePacket;
import io.core.protocol.TheaterLocator;

public class LogoffScript {
	public static void main(String[] args) {
		if (args.length == 1) {
			LeavePacket leavePacket = new LeavePacket();
			try {
				leavePacket.send( new TheaterLocator(args[0]) );
			} catch (Exception e) {
				System.err.println("Error in leave script: " + e);
			}
		} else {
			System.err.println("java io2.LogoffScript <theater locator>");
		}	
	}
}
