package io.core.protocol;

import java.io.BufferedOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.net.Socket;
import java.net.UnknownHostException;

public class IOPacket implements java.io.Serializable {

	private TheaterLocator origin;

	public void setOrigin(TheaterLocator _origin) {
		origin = _origin;
	}

	public TheaterLocator getOrigin() {
		return origin;
	}

	public void send(TheaterLocator theaterLocator) throws IOException, UnknownHostException {
		//Connect to the given Theater;
		Socket theaterConnection = new Socket(theaterLocator.getHost(), theaterLocator.getPort());
		ObjectOutputStream out = new ObjectOutputStream(new BufferedOutputStream(theaterConnection.getOutputStream()));

		//write the packet to the connection, then close it
		out.writeObject(this);
		out.flush();
		out.close();
		theaterConnection.close();
	}
}
